<?php
/*
Plugin Name: Delivery Address unchecked
Description: Unchecks the Delivery Address on Checkout Page.
Version: 1.0
Author: Webdesign OWL
*/


function custom_checkout_checkbox_unchecked() {
    if (is_checkout()) {
        // Enqueue jQuery
        wp_enqueue_script('jquery');

        // JavaScript code to uncheck the checkbox
        echo '<script type="text/javascript">
            jQuery(document).ready(function($) {
                var checkbox = $("#ship-to-different-address-checkbox");
                if (checkbox.length > 0) {
                    checkbox.prop("checked", false);
                }
            });
        </script>';
    }
}

add_action('wp_footer', 'custom_checkout_checkbox_unchecked');
?>